Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
Diffstat (limited to 'production/check-swt-buildinput.sh')
-rwxr-xr-xproduction/check-swt-buildinput.sh36
1 files changed, 36 insertions, 0 deletions
diff --git a/production/check-swt-buildinput.sh b/production/check-swt-buildinput.sh
new file mode 100755
index 000000000..275247226
--- /dev/null
+++ b/production/check-swt-buildinput.sh
@@ -0,0 +1,36 @@
+#!/bin/bash -x
+#*******************************************************************************
+# Copyright (c) 2017 IBM Corporation and others.
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Eclipse Public License v1.0
+# which accompanies this distribution, and is available at
+# http://www.eclipse.org/legal/epl-v10.html
+#
+# Contributors:
+# Sravan Lakkimsetti - initial API and implementation
+#*******************************************************************************
+
+if [ $# -ne 1 ]; then
+ echo USAGE: $0 env_file
+ exit 1
+fi
+
+if [ ! -r "$1" ]; then
+ echo "$1" cannot be read
+ echo USAGE: $0 env_file
+ exit 1
+fi
+
+source "$1"
+
+pushd $BUILD_ROOT/gitCache/eclipse.platform.releng.aggregator/eclipse.platform.swt
+commit=$(git log --pretty=oneline -1|cut -d' ' -f2-)
+popd
+
+if [[ $commit == v[0-9][0-9][0-9][0-9] ]]; then
+ echo "SWT build input succesful"
+ exit 0
+else
+ echo "SWT build input failed"
+ exit 1
+fi

Back to the top